Jump to content
stanituo

kernel 2.6.24.7-laptop-3mnb & madwifi + ath_pci

Recommended Posts

Hi,

I've a Mandriva 2008.1 and recently I've updated my kernel to the new 2.6.24.7-laptop-3mnb.

Since this update the wireless card doesn't work.

If I try to enable it from netapplet the system say:

 

Could not install the packages (madwifi-kernel-2.6.24.7-desktop586-1mnb, madwifi-kernel-2.6.24.7-desktop586-2mnb, madwifi-kernel-2.6.24.7-laptop-1mnb, madwifi-kernel-2.6.24.7-server-2mnb, madwifi-kernel-2.6.24.7-laptop-2mnb, madwifi-kernel-2.6.24.7-server-1mnb, dkms-madwifi)!

 

and than:

 

Some packages (madwifi) are required but aren't available. These packages can be found in Mandriva Linux One, Mandriva Linux Powerpack, or in the official non-free package repository.

 

The following component is missing: ath_pci

 

The required files can also be installed from this URL:

http://madwifi.org/

 

Now, I guess you: wath can I do to install this ath_pci module ?

I give you all info you need to solve my problem.

 

My wireless card is:

# lspci | grep Atheros
03:00.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC (rev 01)

 

 

Thanks to all for your patience.

Share this post


Link to post
Share on other sites

These packages can be found in Mandriva Linux One, Mandriva Linux Powerpack, or in the official non-free package repository.

 

Have you enabled the official non-free package repository? Use the EasyURPMI link at the top of the page if not. Maybe that helps? :)

Share this post


Link to post
Share on other sites

Have you enabled the official non-free package repository?

Yes, I have this configuration:

 

# cat /etc/urpmi/urpmi.cfg
...
Non-free ftp://fr2.rpmfind.net/linux/Mandrakelinux/official/2008.1/i586/media/non-free/release {
 key-ids: 70771ff3
}
...

 

and

 

# urpmi --auto-update
medium "Main" is up-to-date
medium "Main Updates" is up-to-date
medium "Contrib" is up-to-date
medium "Contrib Updates" is up-to-date
medium "Contrib Backports" is up-to-date
medium "Non-free" is up-to-date
medium "Non-free Updates" is up-to-date
medium "Non-free Backports" is up-to-date
medium "PLF Free" is up-to-date
medium "PLF Non-free" is up-to-date
Packages are up to date

 

Any suggestion?

Share this post


Link to post
Share on other sites

Could not install the packages (madwifi-kernel-2.6.24.7-desktop586-1mnb, madwifi-kernel-2.6.24.7-desktop586-2mnb, madwifi-kernel-2.6.24.7-laptop-1mnb, madwifi-kernel-2.6.24.7-server-2mnb, madwifi-kernel-2.6.24.7-laptop-2mnb, madwifi-kernel-2.6.24.7-server-1mnb, dkms-madwifi)!

 

I think it couldn't install them because they're all the wrong version. Looking here the kernel-laptop-2.6.24.7-3mnb-1-1mnb1.i586.rpm was released on 14/09/09 but there is no updated madwifi-kernel rpm to go with it. Maybe Mandriva haven't got around to it yet. :) You could try manually installing kernel-devel-latest and dkms-madwifi. Not sure if that will help though.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×
×
  • Create New...